#include "drgbsnorm_computor.h"

#include <misc_utility/defines.h>
#include <regions/region.h>

#include <vil1/vil1_image.h>
#include <vil1/vil1_image_as.h>
#include <vil1/vil1_memory_image_of.h>
#include <vil1/vil1_rgb_byte.h>


// -- Constructors / Destructors ------------------------------
drgbsnorm_computor::drgbsnorm_computor(const color_buffer_t* buf1,
				       const color_buffer_t* buf2)
  : drgb_computor(buf1, buf2)
{
  _sf1 = 1.0;
  _sf2 = 1.0;
}



drgbsnorm_computor::drgbsnorm_computor(const color_buffer_t* buf1, 
				       const color_buffer_t* buf2, 
				       const region* r1, const region* r2)
  : drgb_computor(buf1, buf2, r1, r2)
{

}



drgbsnorm_computor::~drgbsnorm_computor() {

}




