#include <region_matching/reg_match_params.h>

// --------------------------------------------------
// Setting default values in constructor
// --------------------------------------------------
reg_match_params::reg_match_params()
{
  min_sim = 0.7;
  max_dist = 10;

  similarity_resolution = 30;
  rotation_finder_resolution = 20;
  rotation_finder_stepsize = 5;

  nb_of_tentative_matches = 10;
  
  search_for_rotation = true;
  search_for_rotation_stepsize = 5; 

  max_multi_matches = 3;
}


reg_match_params::~reg_match_params()
{
}


// speedup matching for cimwos
/*
reg_match_params::reg_match_params()
{
  min_sim = 0.7;
  max_dist = 10;

  similarity_resolution = 20;          
  rotation_finder_resolution = 15;
  rotation_finder_stepsize = 10;

  nb_of_tentative_matches = 10;
  
  search_for_rotation = true;
  search_for_rotation_stepsize = 10; 

  max_multi_matches = 3;
}
*/
