#ifndef region_statistics_h
#define region_statistics_h

//----------------------------------------------------------------------------
// .NAME regionStatistics - Class for statistical info about regions
// .LIBRARY 
// .HEADER 
// .INCLUDE 
// .FILE   regionStatistics.h
// .FILE   regionStatistics.C
//
// .SECTION Description
//    The class regionStatistics is aclass for storing statistical information
//  of affinely invariant regions
//
// .SECTION Author:
//          Tinne Tuytelaars, Vittorio Ferrari, Andrew Turina
//          ESAT / KULeuven                BIWI / ETH
//
// .SECTION Modifications:
//     07/01 Restructured and resynchronized code      
//
//----------------------------------------------------------------------------

class region;


class region_statistics
{
  friend class region;
  
protected:
  //--- Constructors/Destructor ---------------------------------
  region_statistics(region* reg);
  ~region_statistics();
};
 

#endif 
