#ifndef ProbabilityFix_h_
#define ProbabilityFix_h_

#include <vcl_vector.h>
#include <mvl/HomgPoint2D.h>
#include <mvl/FMatrix.h>
#include <mvl/PairMatchSetCorner.h>

vcl_vector<int> Monte_CarloFix(vcl_vector<HomgPoint2D> points, vcl_vector<int> index, int buckets, int samples);
HomgPoint2D Taubins_MLEFix(HomgPoint2D x1, HomgPoint2D x2, FMatrix *F);
double Sampsons_MLEFix(HomgPoint2D x1, HomgPoint2D x2, FMatrix *F);

#endif
