


#include "ABLTimer.h"
#include <stdio.h>



ABLTimer::ABLTimer()
{
	hTime = new char[14];
	hDeleteTime = true;
}


ABLTimer::~ABLTimer()
{
}


void ABLTimer::Start()
{
	hStartClock = clock();
}


void ABLTimer::Stop()
{
	hEndClock = clock();
	hDuration = ((double)(hEndClock - hStartClock)) / CLOCKS_PER_SEC;
}


int ABLTimer::GetIntSeconds()
{
	return (int)hDuration;
}


double ABLTimer::GetDoubleSeconds()
{
	return hDuration;
}


char* ABLTimer::GetElapsedTime()
{
	int Hour = ((int)hDuration)/3600;
	int Minute = ((int)hDuration - (Hour*3600)) / 60;
	int Second = ((int)hDuration - (Hour*3600 + Minute*60));
	double Decimal = hDuration - (double)((int)hDuration);
	int Hundredths = (int)(Decimal*100);
	int Thousandths = (int)((int)(Decimal*10000) % 100);

	sprintf(&hTime[0], "%02d", Hour);
	hTime[2] = ':';
	sprintf(&hTime[3], "%02d", Minute);
	hTime[5] = ':';
	sprintf(&hTime[6], "%02d", Second);
	hTime[8] = '.';
	sprintf(&hTime[9], "%02d", Hundredths);
	hTime[11] = ',';
	sprintf(&hTime[12], "%02d", Thousandths);
	
	return hTime;
}