#ifndef draw_h
#define draw_h

#include <misc_utility/defines.h>

void draw_contours(color_buffer_t* buf_i, vil1_rgb<unsigned char>& col_i, color_buffer_t* buf_o, vil1_rgb<unsigned char>& col_o, int w = 1);
void draw_outlined_contours(color_buffer_t* buf_i, vil1_rgb<unsigned char>& col_i, color_buffer_t* buf_o, vil1_rgb<unsigned char>& col_o, int w = 3);
void HSVtoRGB( float *r, float *g, float *b, float h, float s, float v );
void RGBtoHSV( float r, float g, float b, float *h, float *s, float *v );

#endif
