#ifndef __region_growing_h
#define __region_growing_h

#include <misc_utility/defines.h>
#include <regions/region.h>
#include <regions/uniform_region.h>


bool* grow_uniform_region(color_buffer_t* buf, bool* xflag, int& area, int x, int y);
void flood_fill(int x, int y, vil1_rgb<unsigned char>* col, color_buffer_t* buf, bool* flag);
void flood_fill_iter(int x, int y, vil1_rgb<unsigned char>* col, color_buffer_t* buf, bool* flag, bool* xflag, int& area);



#endif
