#include <region_extraction/region_extractor.h>


//-------------------------------------------------------------------------------
//--- Constructors/Destructor ---------------------------------------------------
//-------------------------------------------------------------------------------

region_extractor::region_extractor(reg_ext_starter* starter)
  :_starter(starter)
{
  if (!_starter) 
  {
    vcl_cerr << "Error: region_extractor needs valid starter" << vcl_cout;
    return;
  }
	
  _show = false;
}




region_extractor::~region_extractor()
{
  while ( !_regions.empty() )
  {
    _regions.erase(_regions.begin());
  }
  
  _regions.clear();
}
