#include "VIBES_matches_file.h"

#include <vcl/vcl_strstream.h>
#include <vcl/vcl_iostream.h>
#include <vcl/vcl_fstream.h>

//--- Constructors / Destructors ----------------------------------
VIBES_matches_file::VIBES_matches_file(bool verbose)
  virtual ~VIBES_matches_file();
  
  virtual bool save_matches(matches& mtches, 
			    const char* filename);
  virtual bool load_matches(matches& mtches, 
			    const char* filename, 
			    vil1_image* image);
  
protected:
  virtual bool write_header(matches& mtches, 
			    vcl_ofstream& regfile);
  virtual bool load_header(vcl_ifstream& regfile);
  virtual bool write_match(match* m, 
			   vcl_ofstream& regfile);
  virtual bool load_matches_impl(matches& mtches, 
				 vcl_ifstream& regfile,
				 vil1_image* image);
  
