#include "drgbnorm_computor.h"

#include <misc_utility/defines.h>
#include <regions/region.h>

#include <vil1/vil1_image.h>
#include <vil1/vil1_image_as.h>
#include <vil1/vil1_memory_image_of.h>
#include <vil1/vil1_rgb_byte.h>


// -- Constructors / Destructors ------------------------------
drgbnorm_computor::drgbnorm_computor(const color_buffer_t* buf1,
			     const color_buffer_t* buf2)
  : drgb_computor(buf1, buf2)
{

}



drgbnorm_computor::drgbnorm_computor(const color_buffer_t* buf1, 
			     const color_buffer_t* buf2, 
			     const region* r1, const region* r2)
  : drgb_computor(buf1, buf2, r1, r2)
{

}



drgbnorm_computor::~drgbnorm_computor() {
  //vcl_cout << "In destructor of drgnormb_computor" << vcl_endl;

}




