#ifndef simple_regionfile_h
#define simple_regionfile_h

#include <vcl_sstream.h>
#include <vcl_iostream.h>
#include <vcl_fstream.h>
#include <vcl/vcl_list.h>
#include <vgl/vgl_homg_point_2d.h>

#include <misc_utility/defines.h>
#include <region_utility/region_file.h>

// A class containing some basic functions to read / write
// regions to a file

class region;
class vil1_image;

class simple_region_file: public region_file
{
public:
  simple_region_file(bool verbose = false);
  ~simple_region_file();

protected:
  bool write_region(region* reg, vcl_ofstream& regfile);
  bool load_regions_impl(regions_list_t& regs, 
			 vcl_ifstream& regfile, 
			 vil1_image* image, 
			 points_list_t* anchors = NULL);
};


#endif
